manifests/setup.yaml [1053:1231]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          properties:
            apiVersion:
              description: |-
                APIVersion defines the versioned schema of this representation of an object.
                Servers should convert recognized schemas to the latest internal value, and
                may reject unrecognized values.
                More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
              type: string
            kind:
              description: |-
                Kind is a string value representing the REST resource this object represents.
                Servers may infer this from the endpoint the client submits requests to.
                Cannot be updated.
                In CamelCase.
                More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
              type: string
            metadata:
              type: object
            spec:
              description: |-
                Specification of desired Pod selection for target discovery by
                Prometheus.
              properties:
                endpoints:
                  description: The endpoints to scrape on the selected pods.
                  items:
                    description: ScrapeEndpoint specifies a Prometheus metrics endpoint to scrape.
                    properties:
                      interval:
                        description: Interval at which to scrape metrics. Must be a valid Prometheus duration.
                        type: string
                      metricRelabeling:
                        description: |-
                          Relabeling rules for metrics scraped from this endpoint. Relabeling rules that
                          override protected target labels (project_id, location, cluster, namespace, job,
                          instance, or __address__) are not permitted. The labelmap action is not permitted
                          in general.
                        items:
                          description: RelabelingRule defines a single Prometheus relabeling rule.
                          properties:
                            action:
                              description: Action to perform based on regex matching. Defaults to 'replace'.
                              type: string
                            modulus:
                              description: Modulus to take of the hash of the source label values.
                              format: int64
                              type: integer
                            regex:
                              description: Regular expression against which the extracted value is matched. Defaults to '(.*)'.
                              type: string
                            replacement:
                              description: |-
                                Replacement value against which a regex replace is performed if the
                                regular expression matches. Regex capture groups are available. Defaults to '$1'.
                              type: string
                            separator:
                              description: Separator placed between concatenated source label values. Defaults to ';'.
                              type: string
                            sourceLabels:
                              description: |-
                                The source labels select values from existing labels. Their content is concatenated
                                using the configured separator and matched against the configured regular expression
                                for the replace, keep, and drop actions.
                              items:
                                type: string
                              type: array
                            targetLabel:
                              description: |-
                                Label to which the resulting value is written in a replace action.
                                It is mandatory for replace actions. Regex capture groups are available.
                              type: string
                          type: object
                        type: array
                      params:
                        additionalProperties:
                          items:
                            type: string
                          type: array
                        description: HTTP GET params to use when scraping.
                        type: object
                      path:
                        description: HTTP path to scrape metrics from. Defaults to "/metrics".
                        type: string
                      port:
                        anyOf:
                          - type: integer
                          - type: string
                        description: Name or number of the port to scrape.
                        x-kubernetes-int-or-string: true
                      proxyUrl:
                        description: Proxy URL to scrape through. Encoded passwords are not supported.
                        type: string
                      scheme:
                        description: Protocol scheme to use to scrape.
                        type: string
                      timeout:
                        description: |-
                          Timeout for metrics scrapes. Must be a valid Prometheus duration.
                          Must not be larger then the scrape interval.
                        type: string
                    required:
                      - port
                    type: object
                  type: array
                limits:
                  description: Limits to apply at scrape time.
                  properties:
                    labelNameLength:
                      description: |-
                        Maximum label name length.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                    labelValueLength:
                      description: |-
                        Maximum label value length.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                    labels:
                      description: |-
                        Maximum number of labels accepted for a single sample.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                    samples:
                      description: |-
                        Maximum number of samples accepted within a single scrape.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                  type: object
                selector:
                  description: |-
                    Label selector that specifies which pods are selected for this monitoring
                    configuration.
                  properties:
                    matchExpressions:
                      description: matchExpressions is a list of label selector requirements. The requirements are ANDed.
                      items:
                        description: |-
                          A label selector requirement is a selector that contains values, a key, and an operator that
                          relates the key and values.
                        properties:
                          key:
                            description: key is the label key that the selector applies to.
                            type: string
                          operator:
                            description: |-
                              operator represents a key's relationship to a set of values.
                              Valid operators are In, NotIn, Exists and DoesNotExist.
                            type: string
                          values:
                            description: |-
                              values is an array of string values. If the operator is In or NotIn,
                              the values array must be non-empty. If the operator is Exists or DoesNotExist,
                              the values array must be empty. This array is replaced during a strategic
                              merge patch.
                            items:
                              type: string
                            type: array
                            x-kubernetes-list-type: atomic
                        required:
                          - key
                          - operator
                        type: object
                      type: array
                      x-kubernetes-list-type: atomic
                    matchLabels:
                      additionalProperties:
                        type: string
                      description: |-
                        matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels
                        map is equivalent to an element of matchExpressions, whose key field is "key", the
                        operator is "In", and the values array contains only "value". The requirements are ANDed.
                      type: object
                  type: object
                  x-kubernetes-map-type: atomic
                targetLabels:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



manifests/setup.yaml [3422:3600]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          properties:
            apiVersion:
              description: |-
                APIVersion defines the versioned schema of this representation of an object.
                Servers should convert recognized schemas to the latest internal value, and
                may reject unrecognized values.
                More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
              type: string
            kind:
              description: |-
                Kind is a string value representing the REST resource this object represents.
                Servers may infer this from the endpoint the client submits requests to.
                Cannot be updated.
                In CamelCase.
                More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
              type: string
            metadata:
              type: object
            spec:
              description: |-
                Specification of desired Pod selection for target discovery by
                Prometheus.
              properties:
                endpoints:
                  description: The endpoints to scrape on the selected pods.
                  items:
                    description: ScrapeEndpoint specifies a Prometheus metrics endpoint to scrape.
                    properties:
                      interval:
                        description: Interval at which to scrape metrics. Must be a valid Prometheus duration.
                        type: string
                      metricRelabeling:
                        description: |-
                          Relabeling rules for metrics scraped from this endpoint. Relabeling rules that
                          override protected target labels (project_id, location, cluster, namespace, job,
                          instance, or __address__) are not permitted. The labelmap action is not permitted
                          in general.
                        items:
                          description: RelabelingRule defines a single Prometheus relabeling rule.
                          properties:
                            action:
                              description: Action to perform based on regex matching. Defaults to 'replace'.
                              type: string
                            modulus:
                              description: Modulus to take of the hash of the source label values.
                              format: int64
                              type: integer
                            regex:
                              description: Regular expression against which the extracted value is matched. Defaults to '(.*)'.
                              type: string
                            replacement:
                              description: |-
                                Replacement value against which a regex replace is performed if the
                                regular expression matches. Regex capture groups are available. Defaults to '$1'.
                              type: string
                            separator:
                              description: Separator placed between concatenated source label values. Defaults to ';'.
                              type: string
                            sourceLabels:
                              description: |-
                                The source labels select values from existing labels. Their content is concatenated
                                using the configured separator and matched against the configured regular expression
                                for the replace, keep, and drop actions.
                              items:
                                type: string
                              type: array
                            targetLabel:
                              description: |-
                                Label to which the resulting value is written in a replace action.
                                It is mandatory for replace actions. Regex capture groups are available.
                              type: string
                          type: object
                        type: array
                      params:
                        additionalProperties:
                          items:
                            type: string
                          type: array
                        description: HTTP GET params to use when scraping.
                        type: object
                      path:
                        description: HTTP path to scrape metrics from. Defaults to "/metrics".
                        type: string
                      port:
                        anyOf:
                          - type: integer
                          - type: string
                        description: Name or number of the port to scrape.
                        x-kubernetes-int-or-string: true
                      proxyUrl:
                        description: Proxy URL to scrape through. Encoded passwords are not supported.
                        type: string
                      scheme:
                        description: Protocol scheme to use to scrape.
                        type: string
                      timeout:
                        description: |-
                          Timeout for metrics scrapes. Must be a valid Prometheus duration.
                          Must not be larger then the scrape interval.
                        type: string
                    required:
                      - port
                    type: object
                  type: array
                limits:
                  description: Limits to apply at scrape time.
                  properties:
                    labelNameLength:
                      description: |-
                        Maximum label name length.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                    labelValueLength:
                      description: |-
                        Maximum label value length.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                    labels:
                      description: |-
                        Maximum number of labels accepted for a single sample.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                    samples:
                      description: |-
                        Maximum number of samples accepted within a single scrape.
                        Uses Prometheus default if left unspecified.
                      format: int64
                      type: integer
                  type: object
                selector:
                  description: |-
                    Label selector that specifies which pods are selected for this monitoring
                    configuration.
                  properties:
                    matchExpressions:
                      description: matchExpressions is a list of label selector requirements. The requirements are ANDed.
                      items:
                        description: |-
                          A label selector requirement is a selector that contains values, a key, and an operator that
                          relates the key and values.
                        properties:
                          key:
                            description: key is the label key that the selector applies to.
                            type: string
                          operator:
                            description: |-
                              operator represents a key's relationship to a set of values.
                              Valid operators are In, NotIn, Exists and DoesNotExist.
                            type: string
                          values:
                            description: |-
                              values is an array of string values. If the operator is In or NotIn,
                              the values array must be non-empty. If the operator is Exists or DoesNotExist,
                              the values array must be empty. This array is replaced during a strategic
                              merge patch.
                            items:
                              type: string
                            type: array
                            x-kubernetes-list-type: atomic
                        required:
                          - key
                          - operator
                        type: object
                      type: array
                      x-kubernetes-list-type: atomic
                    matchLabels:
                      additionalProperties:
                        type: string
                      description: |-
                        matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels
                        map is equivalent to an element of matchExpressions, whose key field is "key", the
                        operator is "In", and the values array contains only "value". The requirements are ANDed.
                      type: object
                  type: object
                  x-kubernetes-map-type: atomic
                targetLabels:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



